Autocad Contour Lisp

Автор:
Autocad Contour Lisp 4,8/5 2552 votes

Sep 15, 2005  AutoLISP Solutions: Create Long Intermediate Terrain Contours 15 Sep, 2005 By: Tony Hotchkiss Cadalyst AutoLISP can form an intermediate contour that assumes a linear interpolation between the contour heights. Rami Mann e-mailed a request to draw a polyline between two existing polylines representing terrain contours.

On another forum a member by the name of 'fixo' was nice enough to write this lisp for me but I just need a little help with it, if anyone can. Basically this lisp takes the 'z' elevation of a contour and places the value in a rectangle above the contour line. The only slight problem I had with it is, I would like to be able to increase the size of the rectangle around the text. If I use a different font, it gets close to the rectangle, which you can notice even more so when plotted.

I was wondering if someone can point out what numbers within the lisp I would have to change in order to increase the offset of this rectangle around the text. I am assuming it is towards the bottom where it says 'text box'. The lisp is a nice one for labeling contours without having to break the contour lines, hopefully others can use it. Again if 'fixo' reads this, I thank you again for your help. Code: (defun alg-ang (obj pnt) (angle '(0. 0.) (vlax-curve-getfirstderiv obj (vlax-curve-getparamatpoint obj pnt ) ) ) ) (defun C:LAB(/ ang angp box dv en ent p1 p2 p3 p4 pt txten txthgt txtpt wid zstr zvalue) (setvar 'osmode' 512) (setq txthgt 3.2);>')) (progn (setq en (car ent)) (while (setq pt (getpoint ' nPick a point on the contour (or press Enter to Exit) >> ')) (setq pt (vlax-curve-getclosestpointto en pt) zvalue (caddr pt) zstr (rtos zvalue 2 0) dv (vlax-curve-getfirstderiv en (vlax-curve-getparamatpoint en pt)) ang (alg-ang en pt) ang (cond ((. On another forum a member by the name of 'fixo' was nice enough to write this lisp for me but I just need a little help with it, if anyone can.

Basically this lisp takes the 'z' elevation of a contour and places the value in a rectangle above the contour line. The only slight problem I had with it is, I would like to be able to increase the size of the rectangle around the text. If I use a different font, it gets close to the rectangle, which you can notice even more so when plotted. I was wondering if someone can point out what numbers within the lisp I would have to change in order to increase the offset of this rectangle around the text. I am assuming it is towards the bottom where it says 'text box'.

Autocad contour lisp tutorial

The lisp is a nice one for labeling contours without having to break the contour lines, hopefully others can use it. Again if 'fixo' reads this, I thank you again for your help.Did you want increase offset rectangle gap from text? Let me minute ~'J'~. Code: (defun alg-ang (obj pnt) (angle '(0. 0.) (vlax-curve-getfirstderiv obj (vlax-curve-getparamatpoint obj pnt ) ) ) ) (defun C:LAB(/ ang angp box dv en ent p1 p2 p3 p4 pt txten txthgt txtpt wid zstr zvalue) (setvar 'osmode' 512) (setq txthgt 3.2;>')) (progn (setq en (car ent)) (while (setq pt (getpoint ' nPick a point on the contour (or press Enter to Exit) >> ')) (setq pt (vlax-curve-getclosestpointto en pt) zvalue (caddr pt) zstr (rtos zvalue 2 0) dv (vlax-curve-getfirstderiv en (vlax-curve-getparamatpoint en pt)) ang (alg-ang en pt) ang (cond ((.

Of samples No. Standard method used for comparison and water type Total no. Standard method used for comparison and water type Total no. Serial vs parallel dilution method in bod. Of samples with: Equivalent, positive results Higher recovery by the Colilert method Higher recovery by the standard method Equivalent, negative results All 247 83 51 9 104 Multiple-tube fermentation Storm water runoff 1 0 1 0 0 Groundwater 7 2 3 0 2 Waste leachate 2 1 0 1 0 Raw, pretreated 13 9 1 1 2 Private well 130 61 38 5 26 Surface 4 4 0 0 0 Membrane filtration Raw, pretreated 42 5 5 1 31 Under production 4 0 0 0 4 Treated 44 1 3 1 39. Of samples No.